# to calc min()
HIGHEST_INT = 1E100

# warn user if file bigger than this size
BIG_FILE_SIZE = 10**8

# Perfomance will be slow if data point total > than this limit
# => downsampled
CHAN_SIZE_LIMIT = 10**6

# If total waveform datapoint > than this limit, not recalculate
RECAL_SIZE_LIMIT = 10**9

# rate of values to be cut of from means
CUT_FROM_MEAN_FACTOR = 0.1

# to split to time range (not use for now, but implemented in mseed)
FILE_PER_CHAN_LIMIT = 20

# default start time
DEFAULT_START_TIME = "1970-01-01"

# TIME FORMAT according to Qt.ISODate
TM_FM = "%Y-%m-%d"

# seconds in a day
SEC_DAY = 86400.0

# seconds in 5 minutes
SEC_5M = 300

# total of 5 minutes in a day
NO_5M_DAY = 288

# total of 5 minutes in an hour
NO_5M_1H = int(60 * 60 / 300)
